Skip to main content
ContactNow: Can't Connect to Webphone
8x8 Support

ContactNow: Can't Connect to Webphone

Symptom

Unable to connect to Webphone after updating to the latest version of Chome, Firefox, or Edge. 

Applies To

  • ContactNow
  • Webphone
  • Softphone

Resolution

Full access to Java is necessary to use the Webphone. Internet Explorer with full access to Java can be used to access the Webphone. 

Cause

Some browsers have stopped supporting Java. 

Additional Information

If the browser does not support Java, the Softphone connection is another option.